#!/bin/bash

GPB_LOWER_CFG_FILE=/usr/local/auth/gazprombank/emvgate.cfg
GPB_UPS_PO=36
GPB_UPS_PARAM=35

echo_test()
{
	./gcsgatew -cfg $1 15 1 24 1 1 > /dev/null
	echo -n "Connection to lower pinpad: "
	iconv -f cp1251 -t UTF-8 aresult.txt
	echo
	GPB_PP_RC=`cat aresult.txt | awk '{print $1}'`
	if [ $GPB_PP_RC -eq "0" ]; then
	    return 0
	else
	    echo "Пин-пад не отвечает. Проверьте подключение!"
	    return 1
	fi
}

terminal_info()
{
    ./gcsgatew -cfg $1 15 1 51 1 1 > /dev/null
    iconv -f cp1251 -t UTF-8 arecimg.txt | head -n 10
    echo
}

echo_test $GPB_LOWER_CFG_FILE
RET_CODE=$? 
if [ $RET_CODE -eq 0 ]; then
    echo "INFO LOWER PINPAD"
    terminal_info $GPB_LOWER_CFG_FILE
fi
